## python-sure-1.4.11-7.src.tar.gz

=== Makefile ===
# Config
OSNAME			:= $(shell uname)

ifeq ($(OSNAME), Linux)
OPEN_COMMAND		:= gnome-open
else
OPEN_COMMAND		:= open
endif

all: install_deps test

filename=sure-`python -c 'import sure;print(sure.version)'`.tar.gz

export PYTHONPATH := ${PWD}:${PYTHONPATH}
export SURE_NO_COLORS := true

install_deps:
	@pip install -r development.txt

test:
	@python setup.py develop
	@nosetests --rednose -vv --with-coverage --cover-package=sure


clean:
	@printf "Cleaning up files that are already in .gitignore... "
	@for pattern in `cat .gitignore`; do rm -rf $$pattern; find . -name "$$pattern" -exec rm -rf {} \;; done
	@echo "OK!"


publish:
	@python setup.py sdist
	@twine upload dist/*.tar.gz

release: clean test publish

.PHONY: docs

docs:
	@(cd docs && make html)
	$(OPEN_COMMAND) docs/build/html/index.html

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-sure
pkgver=1.4.11
pkgrel=7
pkgdesc="An idiomatic testing library for python with powerful and flexible assertions"
arch=('any')
url="https://github.com/gabrielfalcao/sure"
license=('GPL')
depends=('python-six' 'python-mock')
makedepends=('python-setuptools' 'git')
checkdepends=('python-nose')
source=("$pkgname-$pkgver.tar.gz::https://github.com/gabrielfalcao/sure/archive/$pkgver.tar.gz")
sha512sums=('0f3601eff81074d73568014aaf81b2a3e782c95d3a62cf689031bd0c53eaa8eb531a32e4e2d16c4bee4291157f621e52857b575bcfdaf82839f8e1d0d40d3563')

prepare() {
  export LC_CTYPE=en_US.UTF-8
}

build() {
  cd "$srcdir"/sure-$pkgver
  python setup.py build
}

check() {
  cd "$srcdir"/sure-$pkgver
  python setup.py test
}

package() {
  cd sure-$pkgver
  python setup.py install --root="$pkgdir" --optimize=1
}
